tbb::zero_allocator< void, Allocator > Class Template Reference
Memory Allocation

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...

`#include <tbb_allocator.h>`

Inheritance diagram for tbb::zero_allocator< void, Allocator >:
Collaboration diagram for tbb::zero_allocator< void, Allocator >:

## Classes

struct | rebind

## Public Types

typedef Allocator< void > | base_allocator_type
typedef base_allocator_type::value_type | value_type
typedef base_allocator_type::pointer | pointer
typedef base_allocator_type::const_pointer | const_pointer

## Detailed Description

### template<template< typename T > class Allocator>
class tbb::zero_allocator< void, Allocator >

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1.

Definition at line 181 of file tbb_allocator.h.

## Member Typedef Documentation

## base_allocator_type

template<template< typename T > class Allocator>

typedef Allocator<void> tbb::zero_allocator< void, Allocator >::base_allocator_type

Definition at line 183 of file tbb_allocator.h.

## const_pointer

template<template< typename T > class Allocator>

typedef base_allocator_type::const_pointer tbb::zero_allocator< void, Allocator >::const_pointer

Definition at line 186 of file tbb_allocator.h.

## pointer

template<template< typename T > class Allocator>

typedef base_allocator_type::pointer tbb::zero_allocator< void, Allocator >::pointer

Definition at line 185 of file tbb_allocator.h.

## value_type

template<template< typename T > class Allocator>

typedef base_allocator_type::value_type tbb::zero_allocator< void, Allocator >::value_type

Definition at line 184 of file tbb_allocator.h.

The documentation for this class was generated from the following file:

- tbb_allocator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.